/*
 * @(#)DateServlet.java	1.4 96/08/04 
 *
 * Copyright (c) 1996 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

import sun.server.http.Filter;

import java.servlet.*;
import java.io.*;
import java.util.Date;
import java.util.Hashtable;

/**
 * Date Servlet
 *
 * This is a simple servlet to demonstrate server-side include
 * It returns a string representation of the current time.
 * @author Scott Atwood
 * @version 1.4, 08/04/96
 */
public class DateServlet extends Servlet implements Filter{
    public void service(ServletRequest req, ServletResponse res)
    throws IOException
    {
        Date today = new Date();
        res.setContentType("text/plain");
        res.writeHeaders();
        PrintStream out = new PrintStream(res.getOutputStream());
        out.println(today.toString());
    }

    public String getServletInfo() {
        return "Returns a string representation of the current time";
    }

    public void service(InputStream in, OutputStream out, Hashtable params)
    throws java.io.IOException 
    {
        Date today = new Date();
        PrintStream ptOut = new PrintStream(out);
        ptOut.print(today.toString());
    }

}
